Package ghidra.framework.protocol.ghidra

# Class TransientProjectData

java.lang.Object
ghidra.framework.data.DefaultProjectData
ghidra.framework.protocol.ghidra.TransientProjectData

All Implemented Interfaces:
  `ProjectData`

public class TransientProjectData extends DefaultProjectData

- ## Field Summary

  ### Fields inherited from class ghidra.framework.data.DefaultProjectData

  `INDEXED_DATA_FOLDER_NAME, MANGLED_DATA_FOLDER_NAME, OWNER, PORT_NUMBER, REPOSITORY_NAME, SERVER_NAME, USER_FOLDER_NAME, VERSIONED_FOLDER_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  Initiate disposal of this project data object.
  `protected void`
  `dispose()`
  Immediately dispose this project data store instance.
  `URL`
  `getLocalProjectURL()`
  Generate a local URL which corresponds to this project data if applicable.
  `URL`
  `getSharedProjectURL()`
  Generate a repository URL which corresponds to this project data if applicable.
  `void`
  `incrementInstanceUseCount()`

  ### Methods inherited from class ghidra.framework.data.DefaultProjectData

  `addDomainFolderChangeListener, convertProjectToShared, findCheckedOutFiles, findOpenFiles, getFile, getFileByID, getFileCount, getFolder, getLocalStorageClass, getMaxNameLength, getOwner, getPrivateFileSystem, getProjectDir, getProjectDisposalMonitor, getProjectLocator, getRepository, getRootFolder, getUser, getUserDataFilename, hasInvalidCheckouts, isClosed, isDisposed, isLocked, makeValidName, readProjectProperties, refresh, releaseDomainFiles, removeDomainFolderChangeListener, removeFromIndex, testValidName, updateFileIndex, updateRepositoryInfo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### incrementInstanceUseCount

    public void incrementInstanceUseCount() throws IOException
    Throws:
      `IOException`

  - ### close

    public void close()
    Description copied from interface: `ProjectData`
    Initiate disposal of this project data object. Any files already open will delay disposal until they are closed. NOTE: This should only be invoked by the controlling object which created/opened this instance to avoid premature disposal.
    Specified by:
      `close` in interface `ProjectData`
    Overrides:
      `close` in class `DefaultProjectData`

  - ### dispose

    protected void dispose()
    Description copied from class: `DefaultProjectData`
    Immediately dispose this project data store instance. If this project has an associated `RepositoryAdapter` it will be disconnected as well. This method should generally not be used directly when there may be open `DomainObject` instances which may rely on an associated server connection. The `Object.clone()` method should be used when open `DomainObject` instances may exist and should be allowed to persist until they are closed.
    Overrides:
      `dispose` in class `DefaultProjectData`

  - ### getSharedProjectURL

    public URL getSharedProjectURL()
    Description copied from interface: `ProjectData`
    Generate a repository URL which corresponds to this project data if applicable. Local private projects will return null;
    Specified by:
      `getSharedProjectURL` in interface `ProjectData`
    Overrides:
      `getSharedProjectURL` in class `DefaultProjectData`
    Returns:
      repository URL which corresponds to this project data or null if not applicable.

  - ### getLocalProjectURL

    public URL getLocalProjectURL()
    Description copied from interface: `ProjectData`
    Generate a local URL which corresponds to this project data if applicable. Remote transient project data will return null;
    Specified by:
      `getLocalProjectURL` in interface `ProjectData`
    Overrides:
      `getLocalProjectURL` in class `DefaultProjectData`
    Returns:
      local URL which corresponds to this project data or null if not applicable.